Bug 814833 - dm-thin: handle running out of data or metadata space cleanly
dm-thin: handle running out of data or metadata space cleanly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Joe Thornber
Cluster QE
: FutureFeature
Depends On: 814826
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 15:23 EDT by Alasdair Kergon
Modified: 2012-11-21 13:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-21 13:36:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2012-04-20 15:23:02 EDT
If a thin pool runs out of space (for data or metadata) either

a) gracefully make the device read-only

or

b) queue further write I/O until more space is supplied to the device

according to a configuration option.  (Similar to mpath's queue_if_no_path.)
Comment 1 RHEL Product and Program Management 2012-07-10 04:25:26 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:36:45 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Mike Snitzer 2012-11-21 13:36:27 EST
If data fills then the low water mark will have been triggered and the associated thin device will queue IO waiting for userspace to add more space to the pool.

If metadata fills the thin pool should switch to read-only mode.

Note You need to log in before you can comment on or make changes to this bug.